Bug 831254 - resource tree's right-mouse context menu item "Import" is empty or has incorrect types.
resource tree's right-mouse context menu item "Import" is empty or has incorr...
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
All All
urgent Severity urgent (vote)
: ---
: RHQ 4.5.0
Assigned To: Jay Shaughnessy
Mike Foley
Depends On:
Blocks: 841274
  Show dependency treegraph
Reported: 2012-06-12 11:05 EDT by John Mazzitelli
Modified: 2013-09-01 06:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 841274 (view as bug list)
Last Closed: 2013-09-01 06:12:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2012-06-12 11:05:16 EDT
1) Import a platform
2) Navigate to the platform in the UI so you see the left-hand resource tree
3) Right-mouse click over the platform root node
4) Notice the Import menu item is empty.

It should not be empty. If you go to the Inventory>Child Resources subtab, the bottom shows an "Import" menu button with the correct menu items that should also be there under the tree's Import context-menu item.
Comment 1 Jay Shaughnessy 2012-06-12 12:00:35 EDT
I'm not sure but I think this a regression due to bug 814305.  It seems like Import is getting the Create Child list.

As an aside, I'm not sure the fix for 814305 goes far enough, as it seems only to alter the context menu entries and not the menus on the Inventory-Child Resources subtab. Will look at that as well.
Comment 2 Jay Shaughnessy 2012-06-13 21:56:54 EDT
master commit 1667f9730e4d547b399e1b30ad9965d8773d11a5

This was a regression introduced in the fix for bug 814305. It has been
fixed, see that bug for more details.
Comment 3 Heiko W. Rupp 2013-09-01 06:12:30 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.